GET
/
v1
/
merchant
/
callbacks
Get Callback URLs
curl --request GET \
  --url https://api.bolt.com/v1/merchant/callbacks \
  --header 'X-API-Key: <api-key>'
{
  "callback_urls": [
    {
      "type": "oauth_redirect",
      "url": "https://example.com/1"
    },
    {
      "type": "oauth_logout",
      "url": "https://example.com/2"
    },
    {
      "type": "get_account",
      "url": "https://example.com/3"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

Query Parameters

division_id
string
required

The unique ID associated to the merchant's Bolt Account division; Merchants can have different divisions to suit multiple use cases (storefronts, pay-by-link, phone order processing). You can view and switch between these divisions from the Bolt Merchant Dashboard.

Response

Merchant Callbacks Retrieved

callback_urls
object[]

List of callback URLs retrieved

Example:
[
{
"type": "oauth_redirect",
"url": "https://example.com/1"
},
{
"type": "oauth_logout",
"url": "https://example.com/2"
},
{
"type": "get_account",
"url": "https://example.com/3"
}
]